// 020 u_types_constants
// 23 jan 2009

// -- (C) Felix John COLIBRI 2009
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_types_constants;
  interface

    const k_word_max= 65534;

          k_letters= ['a'..'z', 'A'..'Z'];
          k_digits= ['0'..'9'];
          k_digits_underscore= ['0'..'9', '_'];
          k_upper_hex_digits= k_digits+ ['A'..'F'];
          k_hex_digits= k_upper_hex_digits+ ['a'..'f'];

    type t_pt_byte= ^Byte;
         t_pt_integer= ^Integer;

         t_bytes= array[0..0] of Byte;
         t_pt_bytes= ^t_bytes;
         t_pt_word= ^Word;

         t_oa_bytes= array of Byte;

         t_handle_procedure= procedure(p_pt: Pointer);
         t_set_or_char= Set Of Char;
         t_set_of_characters= Set Of Char;

         t_byte_date= packed record
                               m_day, m_month, m_year: byte;
                             end;
         t_date_4= packed record
                            m_day, m_month: byte;
                            m_year: Integer;
                          end;


  implementation

    begin
    end.






































